kind: Pod
apiVersion: v1
metadata:
  name: jupyterhub-nb-ryanloney
  namespace: redhat-ods-applications
  uid: d598ede6-4944-49f8-bf63-b02885463a9f
  resourceVersion: '3753739'
  creationTimestamp: '2021-08-31T16:13:32Z'
  labels:
    app: jupyterhub
    component: singleuser-server
    jupyterhub.opendatahub.io/user: ryanloney
  annotations:
    alpha.image.policy.openshift.io/resolve-names: '*'
    hub.jupyter.org/username: ryanloney
    openshift.io/scc: restricted
spec:
  restartPolicy: OnFailure
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-nkg4z
    - name: addon-managed-odh-pullsecret
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  affinity:
    nodeAffinity: {}
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  securityContext:
    seLinuxOptions:
      level: 's0:c30,c10'
    fsGroup: 1000890000
  containers:
    - resources:
        limits:
          cpu: '2'
          memory: 8Gi
        requests:
          cpu: '1'
          memory: 8Gi
      terminationMessagePath: /dev/termination-log
      lifecycle: {}
      name: notebook
      env:
        - name: JUPYTERHUB_API_TOKEN
          value: a2ef2dd495174d859f8751e05290e7f5
        - name: JPY_API_TOKEN
          value: a2ef2dd495174d859f8751e05290e7f5
        - name: JUPYTERHUB_ADMIN_ACCESS
          value: '1'
        - name: JUPYTERHUB_CLIENT_ID
          value: jupyterhub-user-ryanloney
        - name: JUPYTERHUB_HOST
        - name: JUPYTERHUB_OAUTH_CALLBACK_URL
          value: /user/ryanloney/oauth_callback
        - name: JUPYTERHUB_USER
          value: ryanloney
        - name: JUPYTERHUB_SERVER_NAME
        - name: JUPYTERHUB_API_URL
          value: 'http://jupyterhub:8081/hub/api'
        - name: JUPYTERHUB_ACTIVITY_URL
          value: 'http://jupyterhub:8081/hub/api/users/ryanloney/activity'
        - name: JUPYTERHUB_BASE_URL
          value: /
        - name: JUPYTERHUB_SERVICE_PREFIX
          value: /user/ryanloney/
        - name: MEM_LIMIT
          value: '1073741824'
        - name: CPU_LIMIT
          value: '1.0'
        - name: JUPYTER_IMAGE_SPEC
          value: 'openvino-notebook:latest'
        - name: JUPYTER_IMAGE
          value: 'openvino-notebook:latest'
        - name: S3_ENDPOINT_URL
        - name: MEM_LIMIT
          value: '8589934592'
        - name: JUPYTERHUB_USER_NAME
          value: ryanloney
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000890000
        runAsGroup: 0
      ports:
        - name: notebook-port
          containerPort: 8080
          protocol: TCP
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: data
          mountPath: /opt/app-root/src
      terminationMessagePolicy: File
      image: >-
        image-registry.openshift-image-registry.svc:5000/redhat-ods-applications/openvino-notebook@sha256:9f003c920138ab3c7bc78325296ee241f740bedc2ba7f0c64992b870834a1d35
      args:
        - start-singleuser.sh
        - '--ip=0.0.0.0'
        - '--port=8080'
  automountServiceAccountToken: false
  serviceAccount: default
  volumes:
    - name: data
      persistentVolumeClaim:
        claimName: jupyterhub-nb-ryanloney-pvc
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  phase: Pending
  conditions:
    - type: PodScheduled
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2021-08-31T16:13:32Z'
      reason: Unschedulable
      message: >-
        0/7 nodes are available: 2 Insufficient cpu, 2 node(s) had taint
        {node-role.kubernetes.io/infra: }, that the pod didn't tolerate, 3
        node(s) had taint {node-role.kubernetes.io/master: }, that the pod
        didn't tolerate.
  qosClass: Burstable
